<!--section-->

<section>
    <div class="container">
        <div class="row">
            <div class="col-md-3 col-xs-12">
                <div class="cntry_sidebar vr_scroll">
                <!-- <div class="cntry_sidebar"> -->
                    <div class="header margin-bottom-15">
                        <h1 class="font-bold">Country Insights</h1>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="form-group margin-bottom-15">
                                <input type="text" placeholder="Search" class="form-control searchfield rounded country_search">
                                <div class="clearfix"></div>
                            </div>
                        </div>
                    </div>
                    <div class=" country_list">
                        <%= render partial: '/country_insights/country_list', locals: { '@countries': @countries } %>
                  </div>
              </div>
          </div>
            <!--middle-section-->
            <div class="col-md-9 col-xs-12">
                <div class="col-xs-12">
                    <div class="article cinsight">
                        <%= render partial: 'country_detail', locals: { '@country': @countries.first } %>
                    </div>
                </div>

                <!-- <div class="article cinsight">
                    <div class="header margin-bottom-15">
                        <h1>Country Insights</h1>
                    </div>
                    <div class="article-content">
                        <div class="row">
                            <div class="col-sm-8">
                                <div class="form-group margin-bottom-15">
                                    <input type="text" placeholder="Search country" class="form-control searchfield rounded country_search">
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                        </div>
                        <div class="row country_list">
                            <%#= render partial: 'country_list', locals: { '@countries': @countries } %>
                        </div>
                    </div>
                </div> -->
            </div>
            <!--/middle-section-->
        </div>
    </div>
</section>
    <!--/section-->
<script>
$('#map').empty()
// function initMap() {
//   var uluru = {lat: -25.363, lng: 131.044};
//   var map = new google.maps.Map(document.getElementById('map'), {
//     zoom: 4,
//     center: uluru
//   });
//   var marker = new google.maps.Marker({
//     position: uluru,
//     map: map
//   });
// }

function initMap() {
    console.log("country");
    console.log("<%= @country.inspect %>");
    // var loct = <%#= raw(marker.to_json) %>
    // console.log(loct[0])
    var map = new google.maps.Map(document.getElementById('map'), {
        zoom: 5,
        // center: loct[0]
    });
    geocoder = new google.maps.Geocoder();
    geocoder.geocode( { 'address': "<%= @country.name %>" }, function(results, status) {
        map.setCenter(results[0].geometry.location);
        var marker = new google.maps.Marker({
            map: map,
            position: results[0].geometry.location,
            // label: labels[i % labels.length]
            // alert(1)
        });
    })
    // geocoder.geocode( { 'address': "<%#= @country.name %>" }, function(results, status) {
    //     map.setCenter(results[0].geometry.location);
    // }

    // // Add a marker clusterer to manage the markers.
    // var markerCluster = new MarkerClusterer(map, markers, {imagePath: 'https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m'});
}
</script>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAQoyHt6t48brE7eZT4yGhSC4eGs0Hlclg&callback=initMap"></script>
